0

I want to remove and freshly install fenics software on my system. Following the instruction on this, I tried removing only fenics by (as I'm not sure what will happen if I remove the dependent packages)

sudo apt-get remove fenics

But when I go to my ipython3 /python3 console and do from fenics import * and further type DOLFIN_EPS, I still get the output as if fenics were not uninstalled at all.

When I again run the command sudo apt-get remove fenics I get the following message :

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'fenics' is not installed, so not removed
The following packages were automatically installed and are no longer required:
  dolfin-bin dolfin-doc isympy libaec-dev libaec0 libamd2.4.1 libarpack2 libarpack2-dev libblacs-mpi-dev
  libblacs-openmpi1 libblas-dev libboost-chrono-dev libboost-filesystem-dev libboost-iostreams-dev
  libboost-math-dev libboost-mpi-dev libboost-serialization-dev libboost-timer-dev libbtf1.2.1 libcamd2.4.1
  libccolamd2.9.1 libcholmod3.0.6 libcsparse3.1.4 libcxsparse3.1.4 libdolfin-dev libdolfin2017.2
  libdolfin2018.1 libeigen3-dev libfftw3-mpi-dev libfftw3-mpi3 libhdf5-mpi-dev libhdf5-openmpi-10
  libhdf5-openmpi-dev libhypre-2.8.0b libhypre-dev libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev libklu1.3.3
  liblapack-dev libldl2.2.1 libmshr-dev libmshr2017.2 libmumps-4.10.0 libmumps-dev libparpack2 libparpack2-dev
  libpetsc3.7-dev libpetsc3.7.3 libpetsc3.7.3-dev libproj-dev libproj9 libptscotch-5.1 libptscotch-dev
  libscalapack-mpi-dev libscalapack-openmpi1 libscotch-5.1 libscotch-dev libslepc3.7.2 libslepc3.7.2-dev
  libspooles-dev libspooles2.2 libspqr2.0.2 libssl-dev libsuitesparse-dev libsuperlu-dev libsuperlu4 libsz2
  libumfpack5.7.1 libxml2-dev mpi-default-bin mshr-demos proj-data pybind11-dev python-dijitso python-dolfin
  python-ffc python-fiat python-instant python-mpi4py python-mpmath python-mshr python-petsc4py python-ply
  python-slepc4py python-subprocess32 python-sympy python-ufl python3-cycler python3-dateutil python3-dijitso
  python3-dolfin python3-ffc python3-fiat python3-instant python3-mpi4py python3-mpmath python3-mshr
  python3-petsc4py python3-pkgconfig python3-pybind11 python3-slepc4py python3-sympy python3-tz python3-ufl
  swig swig3.0
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 58 not upgraded.

As mentioned earlier I don't know if autoremove will remove the libraries that I use for my other tools, I don't want to execute the command.

Does anyone have an idea of what could have gone wrong?

Side Note: I want to do a fresh installation because I needed to update matplotlib from version 1.3.1 to version 3.0.3 after which fenics didn't work properly.

Any help is appreciated. Thank you

2
  • 1
    What is the output of lsb_release -d? – DK Bose Apr 5 '19 at 11:10
  • sorry, forgot to mention that it is: Ubuntu 16.04.5 LTS – ggulgulia Apr 5 '19 at 11:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.